# Interface ArcGISRequestOptions

Options that can be passed into support/ArcGISRequestHelper!ArcGISRequestHelper.request.

interface ArcGISRequestOptions {
batchLayerRequests?: boolean;
body?: string | FormData;
headers?: Record<string, string>;
method?:
| "delete"
| "auto"
| "head"
| "post"
| "put";
query?: Record<string, string>;
responseType?: ResponseType;
ttl?: number;
}

#####
Index

### Properties

batchLayerRequests?
body?
headers?
method?
query?
responseType?
ttl?

##
Properties

### `Optional` batchLayerRequests

batchLayerRequests?: boolean

See support/ArcGISRequestHelper!ArcGISRequestHelper.batchLayerRequests.

### `Optional` body

body?: string | FormData

If uploading a file, specify the form data or element used to submit the file here. If a form element is specified, the parameters of the `query` will be added to the URL. If not specified, then query parameters will only be added to the URL when a GET request is used. If POST is used, then query parameters will be added to the body.

### `Optional` headers

headers?: Record<string, string>

Headers to use for the request. This is an object whose property names are header names. This option is ignored when `responseType = "image"`.

### `Optional` method

method?:
| "delete"
| "auto"
| "head"
| "post"
| "put"

Indicates if the request should be made using the HTTP POST method. By default, this is determined automatically based on the request size. Possible Values: auto | post.

### `Optional` query

query?: Record<string, string>

If the request URL points to a web server that requires parameters, specify them here.

### `Optional` responseType

responseType?: ResponseType

Response format. When this value is `image` the `headers` and `timeout` options are ignored. Possible Values: json | xml | text | blob | array-buffer | document | image.

### `Optional` ttl

ttl?: number

See support/ArcGISRequestHelper!ArcGISRequestHelper.ttl.